# $Revision: 1.25 $, $Date: 2007/02/12 21:23:47 $
Summary:	Multi-target portable assembler
Summary(pl.UTF-8):	Przenośny asembler dla wielu rodzin procesorów
Name:		asl
Version:	1.41r8
Release:	8
License:	GPL-like
Group:		Development/Languages
Source0:	ftp://sunsite.unc.edu/pub/Linux/devel/lang/assemblers/%{name}-%{version}.tar.gz
# Source0-md5:	f8b34f1acb48663243402b43f6070fd3
Source1:	%{name}-Makefile.def
Patch0:		%{name}-morearchs.patch
BuildRequires:	tetex-latex
BuildRequires:	tetex-dvips
BuildRequires:	tetex-format-latex
BuildRequires:	tetex-tex-german
BuildRequires:	tetex-makeindex
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A general purpose multi-target macro assembler with supporting tools.
This assembler supports many targets including some PIC's and DSP's.

%description -l pl.UTF-8
Makroasembler ogólnego przeznaczenia wraz z narzędziami. Potrafi
generować kod dla wielu rodzin układów, także dla procesorów
sygnałowych.

%prep
%setup -q
%patch0 -p1

install %{SOURCE1} Makefile.def

%build
%{__make} all docs \
	CC="%{__cc}" \
	LD="%{__cc}" \
	CFLAGS="%{rpmcflags} %{!?debug:-fomit-frame-pointer} -Wall" \
	LIBDIR="%{_libdir}/asl"

%install
rm -rf $RPM_BUILD_ROOT
# asl's make install requires mkdirhier (from XFree) and always strips binaries
install -d $RPM_BUILD_ROOT{%{_bindir},%{_includedir}/%{name},%{_mandir}/man1,%{_libdir}/asl} \
	$RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

install asl pbind plist p2bin p2hex $RPM_BUILD_ROOT%{_bindir}
install asl.1 pbind.1 plist.1 p2bin.1 p2hex.1 $RPM_BUILD_ROOT%{_mandir}/man1
install include/* $RPM_BUILD_ROOT%{_includedir}/%{name}

install *.msg $RPM_BUILD_ROOT%{_libdir}/asl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README doc_EN/as.doc
%lang(de) %doc doc_DE/as.doc
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_includedir}/asl
%{_libdir}/asl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: asl.spec,v $
Revision 1.25  2007/02/12 21:23:47  glen
- tabs in preamble

Revision 1.24  2007/02/12 00:48:38  baggins
- converted to UTF-8

Revision 1.23  2004/01/27 21:59:00  qboosh
- one more sparc fix in morearchs patch (tested this time); release 8

Revision 1.22  2004/01/27 21:45:53  qboosh
- fixed sparc-linux defines in morearchs patch; release 7

Revision 1.21  2004/01/27 21:28:59  qboosh
- added morearchs patch (support Linux on amd64/ppc/sparc)
- release 6

Revision 1.20  2004/01/17 23:19:10  qboosh
- release 5 for Ac

Revision 1.19  2003/11/24 15:23:49  yoshi
- Added missing BR: tetex-format-latex
- Added missing BR: tetex-tex-german
- Added missing BR: tetex-makeindex
- Tested on *devel* free builder
- It builds.

Revision 1.18  2003/08/06 16:15:03  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.17  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 05:45:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2002/08/18 12:10:36  kloczek
- release 4.

Revision 1.14  2002/08/18 11:49:27  blues
license fix

Revision 1.13  2002/07/27 12:32:18  kloczek
- simplifications with install %doc.

Revision 1.12  2002/07/27 07:59:04  marcus
- addedd proper ExclusiveArch

Revision 1.11  2002/06/15 11:41:43  ankry
- removed %%lang(en)
- release 3

Revision 1.10  2002/04/25 15:48:36  arturs
fixed a small typo

Revision 1.9  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:12:26  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/05/02 00:42:07  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.6  2001/03/15 05:10:23  kloczek
- release 2: few cosmetics.

Revision 1.5  2001/03/10 15:41:03  qboosh
- missing dir: %%{_docdir}/%%{name}-%%{version}

Revision 1.4  2001/01/25 20:03:21  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.3  2001/01/22 04:24:47  kloczek
- corrected Source url.

Revision 1.2  2001/01/22 03:59:14  kloczek
- few cosmetics and one simplification in %install.

Revision 1.1  2001/01/20 00:08:15  qboosh
- initial PLD release
